Subject: Re: bug#26628: [PATCH] Fix memory leak of cwd string in emacsclient

From: Andreas Schwab <[email-masked]>
Date: Mon, 24 Apr 2017 11:23:26 +0200

On Apr 23 2017, Anders Waldenborg <[email-masked]> wrote:

> * lib-src/emacsclient.c (main): emacsclient retrieves the current
>   working directory using get_current_dir_name which returns a newly
>   allocated string. Make sure this string is freed before exiting.

There is no need to free it since the process exists right away anyway.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."